{
  const { __ } = wp.i18n;

  /** @type {HTMLDivElement[]} */
  const forms = document.querySelectorAll(".almefy-register");

  for (const form of forms) {
    /** @type {HTMLInputElement} */
    const e_username = form.querySelector(".almefy-username");
    /** @type {HTMLInputElement} */
    const e_email = form.querySelector(".almefy-email");
    /** @type HTMLDivElement */
    const e_submit = form.querySelector(".almefy-submit");
    /** @type HTMLParagraphElement */
    const e_error = form.querySelector(".almefy-error");
    /** @type HTMLParagraphElement */
    const e_info = form.querySelector(".almefy-info");

    e_submit.addEventListener("click", async (event) => {
      event.preventDefault();
      if(e_submit.disabled) return;

      e_error.innerText = "";


      let username = null;
      if (e_username) username = e_username.value;
      const email = e_email.value;

      const body = { username, email };

      const response = await fetch(almefy_api + "register", {
        method: "post",
        body: JSON.stringify(body),
        headers: { "Content-Type": "application/json" },
      });

      if (response.ok) {
        e_info.innerText = __(
          "Account created! Please check your inbox.",
          "almefy-me"
        );
        e_info.style.display = "block";
        if (e_username) e_username.disabled = true;
        if (e_submit) e_submit.disabled = true;
        e_email.disabled = true;
      } else {
        const data = await response.json();
        console.error(data);
        e_error.style.display = "block";
        e_error.innerText = data.message ? data.message : data;
      }
    });
  }
}
