<?php
// load css, js on appropriate pages

if (!defined('ABSPATH')) {
    exit;
}


add_action('wp_enqueue_scripts', function () {
    // Almefy sdk
    wp_enqueue_script('almefy-sdk-js', plugin_dir_url(__FILE__) . '../../assets/almefy-sdk/almefy-sdk.js', [], null, true);
    wp_enqueue_style('almefy-sdk-css', plugin_dir_url(__FILE__) .   '../../assets/almefy-sdk/almefy-sdk.css', [], '1');

    // Plugin scripts & styles
    wp_enqueue_style('almefy-helpers', plugin_dir_url(__FILE__) . "../../assets/style/helpers.css", [], '1');
    wp_enqueue_style('almefy-register', plugin_dir_url(__FILE__) . "../../assets/style/register.css", [], '1');
    wp_enqueue_style('almefy-connect-css', plugin_dir_url(__FILE__) .   '../../assets/style/connect_device.css', [], '1');

});

add_action('login_enqueue_scripts', function () {
    // Almefy sdk
    wp_enqueue_script('almefy-sdk-js', plugin_dir_url(__FILE__) . '../../assets/almefy-sdk/almefy-sdk.js', [], null, true);
    wp_enqueue_style('almefy-sdk-css', plugin_dir_url(__FILE__) .   '../../assets/almefy-sdk/almefy-sdk.css', [], '1');
    
    // Plugin scripts & styles
    wp_enqueue_style('almefy-helpers', plugin_dir_url(__FILE__) . "../../assets/style/helpers.css", [], '1');
    wp_enqueue_style('almefy-login-css', plugin_dir_url(__FILE__) .   '../../assets/style/login_page.css', [], '1');
    wp_enqueue_style('almefy-connect-css', plugin_dir_url(__FILE__) .   '../../assets/style/connect_device.css', [], '1');
});

add_action('admin_enqueue_scripts', function ($hook) {
    // Almefy sdk
    // wp_enqueue_script('almefy-sdk-js', plugin_dir_url(__FILE__) . '../../assets/almefy-sdk/almefy-sdk.js', [], null, true);
    wp_enqueue_style('almefy-sdk-css', plugin_dir_url(__FILE__) .   '../../assets/almefy-sdk/almefy-sdk.css', [], '1');
    
    // Plugin scripts & styles
    wp_enqueue_style('almefy-helpers', plugin_dir_url(__FILE__) . "../../assets/style/helpers.css", [], '1');
    wp_enqueue_style('almefy-connect-css', plugin_dir_url(__FILE__) .   '../../assets/style/connect_device.css', [], '1');

    // Admin specific scripts & styles
    wp_enqueue_script('almefy-admin-js', plugin_dir_url(__FILE__) . "scripts/global.js", [], '0.0.1', false);
    wp_add_inline_script('almefy-admin-js', "const almefy_api = '" . rest_url('almefy/v1/') . "';", 'before');

    wp_enqueue_style('almefy-header-css', plugin_dir_url(__FILE__) .   '../../assets/style/almefy_header.css', [], '1');
    wp_enqueue_style('almefy-devices-page-css', plugin_dir_url(__FILE__) .   '../../assets/style/device_manager_page.css', [], '1');
});
